/* .Appp {
  text-align: center;
} */

/* Menu bar styling */

.main-nav {
  display: flex;
  justify-content:space-between;
  padding: 20px;
  text-decoration: none;
}
.main-nav a {
  text-decoration: none;
  font-size: 15px;
  color: black;
}
#button-links{
  text-decoration: none;
  padding: 10px;
  font-size: 16px;
  color: black;
  background-color: transparent;
  border: none;
}
#button-links:hover {
  color: darkcyan;
}
.main-nav .title {
  font-size: 20px;
}
/* .main-nav li {
  font-size: 40px;
} */
.image1 img {
  width:100%;
  height:350px;
  margin-top: 20px;
  display: block;
  object-fit:cover;
}
.menu {
  display: flex;
  justify-content: center;
}
.menu a {
  text-decoration: none;
  padding: 14px 16px;
  font-size: 16px;
  color: black;
}
.menu a:hover {
  color: darkcyan;
}


/* display container */

#display-container{
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}
.button {
  padding: 16px 18px;
  border: 2px solid black;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
}
#shop-button{
  padding: 10px 18px;
  border: 2px solid black;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  background-color: transparent;
  font-size: 16px;
  color:purple;
}
.box1 {
  display: flex;
  padding: 20px;
  flex-direction: column;
  align-items: center;
}
.doubleimage {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  margin-bottom: 50px;
}
.doubleimage img {
  width: 100%;
  height: 320px;
  padding-bottom: 20px;
  object-fit: cover;
  display:block;
}
.doubleimage .first, .second {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* Details page css */

.detail-flex-box {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  margin-bottom: 50px;
  padding: 10px;
}
.detail-flex-box img {
  width: 100%;
  height: auto;
}
.detail-flex-box > div{
 width:40%
 
}
.name h4 {
  font-size: 25px;
  margin-top: 30px;
  margin-bottom: 0px;
}
.name h5 {
  margin-top: 15px;
  margin-bottom : 15px
}
.name {
  display: flex;
  flex-direction: column;
  width: 25%;
}
.name .size {
  padding: 18px 20px;
  border: none;
  margin-top: 5px;
  border-top: 1px solid black;
  border-bottom: 1px solid black;
  background-color: transparent;
  width: 90%;
}
.name #quantity {
  padding: 18px 20px;
  border: none;
  margin-top: 2px;
  border-bottom: 1px solid black;
  border-bottom: 1px solid black;
  background-color: transparent;
  width: 90%;
}
.name h5 {
  font-size: 20px;  
}
.name .button {
  border: 2px solid black;               
  background-color: transparent;
  width: 40%;
  padding: 15px 32px;
  text-align: center;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
}
.options {
  padding: 12px 16px;
  margin: 14px;
}
.current {
  border-bottom: 2px solid darkcyan;
}
.name .button {
  width: 60%;
}

/* payments page css */
.checkout-flex {
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding: 10px;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}
.checkout-flex > div {
  margin: 20px;
  padding: 10px 20px 10px 20px;
}
.heading {
  font-size: 18px;
  font-weight: bold;
}
.checkout-flex [type="text"] {
  width: 100%;
  padding: 16px 0px;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid black;
}
.checkout-flex [type="date"] {
  padding: 14px 16px;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid black;
  width: 90%;
}
.small-flex {
  display: flex;
  
  justify-content:space-between;
  padding-top: 10px;
  padding-bottom: 10px;
  margin-left: auto;
  margin-right: auto;
}
/* .small-flex input {
  width: 
} */
.country {
  width: 100%;
  padding: 16px 18px;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid black;
}
.country [type="select"] {
  width: 100%;
  padding: 16px 18px;
}
.checkout-flex a {
  text-decoration: none;
  padding: 16px 40px;
  background-color: none;
  border: 2px solid darkcyan;
  font-size: 17px;
  text-align: center;
  color: black;
  margin-top: 50px;
}
.order-detail {
  padding: 14px 18px;
  margin-top: 10px;
  margin-bottom: 20px;
}
.center {
  text-align:center;
}

/* Grid Component styling*/
.boxname {
  text-align: center;
}
.flexbox {
  display: flex;
  flex-direction: column;
  padding: 5px;
  text-align: center;
  margin: 5px;
}
.flexbox h5,h4 {
  text-align: center;
  margin-bottom: 5px;
  margin-top: 5px;
}
.flexbox img {
  max-width: 100%;
  height: auto;
}
.gridcontainer {
  display: grid;
  grid-template-columns: auto auto auto;
  grid-template-rows: auto auto auto;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
}
.gridcontainer {
  padding: 10px;
  text-align: center;
}
.current {
  border-bottom: 2px solid darkcyan;
}


/* cart page style */

.items-caption{
  text-align: center;
}
* {
  margin-left: 0px;
  margin-right: 0px;
}
body {
  position: relative;
}
.main-nav {
  display: flex;
  justify-content: space-between;
  padding: 20px;
}
.main-nav a {
  text-decoration: none;
  font-size: 30px;
  color: black;
}
.main-nav i {
  font-size: 40px;
}
.cart-flex-box {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  padding: 30px;
  width: 80%;
  margin-left: auto;
  margin-right: auto;
  align-items: baseline;
  align-items: center;
}
.cart-flex-box img {
  width: 6%;
  height: 8%;;
}
.cart-flex-box p, label {
  font-size: 16px;
  align-items: center;
} 
.cart-flex-box .product-name {
  font-size: 20px;
  align-items: center;
}
.cart-flex-box select {
  padding: 12px 16px;
  width: 100px;
  border: none;
  background-color: transparent;
  border-bottom: 1px solid black;
}
.your-cart {
  text-align:center;
  font-size: 20px;
}
.total-flex {
  display: flex;
  padding: 20px;
  padding-top:0px;
  padding-bottom: 0;
  margin: 20px;
  justify-content: space-between;
  width:70%;
  margin-left: auto;
  margin-right: auto;
}
.right {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding:0;
}
.total-amount p {
  font-size: 20px;
}
.total-amount {
  display: flex;
  justify-content: space-between;
  padding: px;
  width: 40%;
}
.total-amount div {
  padding: 10px;
}
.checkout-button a {
  padding: 12px 16px;
  text-decoration: none;
  color: black;
  font-size: 17px;
  border: 2px solid darkcyan;
  text-align:center;
}
.sticky-button {
  width: 100%;
  background-color: darkcyan;
  padding: 30px;
  text-align: center;
  position: absolute;
  display: none;
  padding-left: 0px;
  margin-left: 0px;
}
.sticky-button a {
  text-decoration: none;
  font-size: 18px;
  color: white;
  padding: 14px 16px;
}
.close-button {
  border: none;
  outline: none;
  background-color: transparent;
}
@media only screen and (max-width: 600px) {
  .cart-flex-box img {
      width: 50%;
      margin-left: auto;
      margin-right: auto;
  }
  .cart-flex-box {
      flex-direction: column;
      justify-content: center;
      align-content: center;
      align-items: center;
  }
  .total-flex {
      flex-direction:column;
      justify-content: center;
  }
  .total-amount {
      justify-content: center;
  }
  .right {
      flex-direction: column;
      justify-content: space-between;
      align-content: center;
      align-items: center;
  }
  .sticky-button {
      display: block;
      width: 95%;
      padding-left: 0px;
      position:sticky;
      bottom: 0px;
      left: 0px;
  }
  .checkout-button {
      display: none;
      width: 90%;
      margin-left: auto;
      margin-right: auto;
      padding-left:0px;
  }
}